#ifdef WIN32

// Fonction de temps sous Windows

#include <ctime>

inline long GetTemps()
{
	return clock();
}

// Fin de la fonction de temps sous Windows


#elif defined LINUX

// Fonction de temps sous Linux

#include <sys/time.h>
#include <time.h>

inline long GetTemps()
{
  static struct timeval Temps;
  gettimeofday(&Temps, 0);

  return (Temps.tv_sec*1000 + Temps.tv_usec / 1000);
}

// Fin de la fontion de temps sous Linux

#else

#error ERROR: OS not supported


#endif